Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597866 - Improve readability of the variables in ifplugd.action (patch)
Improve readability of the variables in ifplugd.action (patch)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ifplugd (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 16:24 EDT by Niels de Vos
Modified: 2010-11-05 16:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: ifplugd-0.28-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 16:17:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improve readability of ifplugd.action (775 bytes, application/octet-stream)
2010-05-30 16:24 EDT, Niels de Vos
no flags Details

  None (edit)
Description Niels de Vos 2010-05-30 16:24:42 EDT
Created attachment 418091 [details]
improve readability of ifplugd.action

Description of problem:

$1 and $2 are easily mistaken and are not documented in the header of the file. Assigning clear variable names improved readability and makes it easier to change the script.


Version-Release number of selected component (if applicable):

ifplugd-0.28-14.fc12.x86_64 (fc12 comes with Fedora 13)
Comment 1 Niels de Vos 2010-11-05 16:17:33 EDT
Thanks for including this patch!

$ rpm -q --changelog ifplugd | head -n2
* Mon May 31 2010 José Matos <jamatos@fc.up.pt> - 0.28-15
- Add action readability patch (thanks to Niels de Vos) (bz#597866)

Note You need to log in before you can comment on or make changes to this bug.